# Appender.hh File Reference

`#include <log4cpp/Portability.hh>`
`#include <string>`
`#include <map>`
`#include <set>`
`#include <stdarg.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <log4cpp/Priority.hh>`
`#include <log4cpp/Layout.hh>`
`#include <log4cpp/LoggingEvent.hh>`
`#include <log4cpp/threading/Threading.hh>`

Include dependency graph for Appender.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cpp

## Classes

class | log4cpp::Appender
| Implement this interface for your own strategies for printing log statements. More...

## Typedefs

typedef std::set< Appender * > | log4cpp::AppenderSet

## Variables

LOG4CPP_EXPORT | log4cpp::Filter